% grafico di tre funzioni equivalenti 
%  x*(sqrt(x^2+1)-x)
%  x*sqrt(x^2+1) - x*x
%  x*(sqrt(x^2+1)-x)*(sqrt(x^2+1)+x)/(sqrt(x^2+1)+x) = x/(sqrt(x^2+1)+x)

x = logspace(0,10,1000);
f1 = x.*(sqrt(x.^2+1)-x);
f2 = x.*sqrt(x.^2+1) - x.*x;
f3 = x./(sqrt(x.^2+1)+x);

semilogx(x,f1,'.r',x,f2,'.b',x,f3,'-g') % grafico della funzione in scala logaritmica